<?php

if ( ! defined( 'ABSPATH' ) )
	exit;


add_action( 'wp_dashboard_setup', 'example_add_dashboard_widgets' );
function example_add_dashboard_widgets() {

	wp_add_dashboard_widget(
                 'dashboard_widget_slug_gootracking',         // Widget slug.
                 'Gootracking',         // Title.
                 'gootracking_dashboard_widget_function' // Display function.
        );	
	wp_add_dashboard_widget(
                 'dashboard_widget_slug_gootracking_logout',         // Widget slug.
                 'Logout',         // Title.
                 'gootracking_dashboard_widget_function_logout' // Display function.
        );		
}

function gootracking_dashboard_widget_function_logout() {
	new gootracking_logout();
}

function gootracking_dashboard_widget_function() {
	new gootracking_dashboardFeedbacks();
}



add_action( 'admin_init', 'gootracking_admin_init_requestFeedbacks' );
function gootracking_admin_init_requestFeedbacks() {

	
	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['requestFeedbacks']) ) {

		//

		$orders = get_posts(
			array(
				'posts_per_page'   => 20,
		    	'post_type'   => 'shop_order',
		    	'post_status' => array( 
		    		'wc-completed'
		    	)
			) 
		);		
		$countRequestSent=0;
		foreach($orders as $orderPost) {
	     	$order_id = $orderPost->ID;
	     	$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
	     	if($oWC_Order_Custom->getarrayHistoricalFeedbackRequest() == '' ) {
		     	if($oWC_Order_Custom->isFirstShippingOrder() == true ) {
					$email = new gootracking_email($order_id);
					$email->settypeEmail('feedback');
					$email->sendEmail();
					$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
					$oWC_Order_Custom->incrementHistoricalFeedbackRequest('dashboardButton');
					$countRequestSent++;
				}
	     	}
	    }
	    $error = new WP_Error( 'broke', __( "Request feedback sent to ", "gootracking" ) . $countRequestSent .' '. __( "orders.", "gootracking" )  );
	    set_transient("my_save_post_errors_{$post_id}_{$user_id}", $error, 45);
		//wp_mail( 'sternwebagency@gmail.com', '[alan]', count($orders). 'orders/'. $countNoFeedback);



		/*
		$order_id =	$_POST['order_id'];
		


		
		set_transient("my_save_post_errors_{$post_id}_{$user_id}", $error, 45);
		*/

	}
}


add_action( 'admin_notices', 'gootracking_notice_requestFeedbacks' );
function gootracking_notice_requestFeedbacks() {
	if ( $error = get_transient( "my_save_post_errors_{$post_id}_{$user_id}" ) ) { ?>
	    <div class="notice notice-success is-dismissible">
	        <p><?php echo $error->get_error_message(); ?></p>
	    </div><?php

	    delete_transient("my_save_post_errors_{$post_id}_{$user_id}");
	}
}