<?php

if ( ! defined( 'ABSPATH' ) )
	exit;


add_filter( "manage_edit-shop_order_sortable_columns", 'column_sort_so_22237380' );
function column_sort_so_22237380( $columns ) 
{
    $columns['shippingType'] = 'shippingType';
    return $columns;
}



add_action( 'pre_get_posts', 'my_slice_orderby' );
function my_slice_orderby( $query ) {
    if( ! is_admin() )
        return;
 
    $orderby = $query->get( 'orderby');
 
    if( 'shippingType' == $orderby ) {
        $query->set('meta_key','_shippingType');
        $query->set('orderby','meta_value');
    }
}

add_filter( 'manage_edit-shop_order_columns', 'imarcon_set_custom_column_order_columns');
function imarcon_set_custom_column_order_columns($columns) {

	$newArray = array();
	foreach($columns as $key => $title) {
		if ($key=='billing_address') {// in front of the Billing column
			$newArray['shippingType']  = __( 'Shipping Type', 'gootracking-for-woocommerce' );
		}
		//wp_mail( 'sternwebagency@gmail.com', '[alan]', 'alanoooo '. $key. ' '. $title);
		$newArray[$key] = $title;
	}
	unset($newArray['order_items']);

	return $newArray ;
}





add_action( 'manage_shop_order_posts_custom_column' , 'imarcon_custom_shop_order_column', 10, 2 );
function imarcon_custom_shop_order_column( $column ) {
	global $post, $woocommerce, $the_order;
	
    switch ( $column ) {

		case 'shippingType' :
			$terms = $the_order->get_items();
			$order_id = $the_order->id;
			$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
			
			if ( $oWC_Order_Custom->getshippingType() != '' ) {
				echo $oWC_Order_Custom->getshippingTypeFormated();				
			} else {
			_e( '-', 'gootracking-for-woocommerce' );
			}
		break;
    }
}



add_action( 'admin_menu', 'gootracking_increment_HistoricalView' );
function gootracking_increment_HistoricalView() {
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($_GET['post']);
	if(isset($_POST['resetArrayHistoricalView'])) {
		$is_admin = $_POST['is_admin'];		
		$oWC_Order_Custom->resetArrayHistoricalView( $is_admin );
	} else {
		$is_admin = true;
		$oWC_Order_Custom->incrementArrayHistoricalView( $is_admin );
	}
	
}




add_action('add_meta_boxes','initialisation_metaboxes');
function initialisation_metaboxes(){
	$order_id = $_GET['post'];
	$order = new WC_Order( $order_id );
	$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );

	add_meta_box(
		'id_gootracking_meta_box_new_order',
		__('Workflow', 'gootracking'),
		'gootracking_meta_box_new_order_function',
		'shop_order',
		'normal',
		'high'
	);	
	add_meta_box(
		'id_gootracking_meta_box', 
		'Gootracking', 'gootracking_meta_box_function', 
		'shop_order', 'normal');

	if($oWC_Order_Custom->thisOrderGetLabels()) {
		add_meta_box('id_labels_meta_box', 
			__('Labels', 'gootracking'), 
			'labels_meta_box_function', 
			'shop_order',
			'normal'
		);
	}
	add_meta_box(
		'id_gootracking_meta_box_track_item', 
		__('Track item', 'gootracking'), 
		'gootracking_meta_box_function_track_item', 
		'shop_order', 
		'normal'
	);
	if($oWC_Order_Custom->isFirstShippingOrder() == true && $order->get_status() == 'completed') {
		add_meta_box(
			'id_gootracking_meta_box_request_feedback',
			__('Request feedback', 'gootracking'), 
			'gootracking_meta_box_request_feedback', 
			'shop_order', 
			'side', 
			'high'
		);			
	}
	if($oWC_Order_Custom->getshippingType() == 'quote') {
		add_meta_box(
			'id_gootracking_meta_box_send_email',
			__('Send order To Customer by email', 'gootracking'), 
			'gootracking_meta_box_send_mail_function', 
			'shop_order', 
			'side', 
			'high'
		);		
	}
	if($oWC_Order_Custom->getarrayHistoricalView() != '' ) {
		add_meta_box(
			'id_gootracking_meta_box_historical_admin',
			'Historical Admin', 
			'gootracking_meta_box_historical_admin_function', 
			'shop_order', 
			'normal', 
			'low'
		);
		add_meta_box(
			'id_gootracking_meta_box_historical_user', 
			'Historical User', 
			'gootracking_meta_box_historical_user_function', 
			'shop_order', 
			'normal', 
			'low'
		);
	}
	if($oWC_Order_Custom->getarrayFeedback() != '' ) {
		add_meta_box('id_gootracking_meta_box_Feedback', 'Feedback', 'gootracking_meta_box_Feedback_function', 'shop_order', 'normal', 'low');
	}
	add_meta_box('id_gootracking_meta_box_QR_code', __('QR Code', 'gootracking') , 'gootracking_meta_box_qr_code_function', 'shop_order', 'side', 'low');	
}
function gootracking_meta_box_Feedback_function(){
	$order_id = $_GET['post'];
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
	$oWC_Order_Custom->showFormatedArrayFeedbacks();
	new gootracking_showResetFeedbackAdminButton();


}
function gootracking_meta_box_historical_admin_function(){
	$order_id = $_GET['post'];
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
	$is_admin = true;
	new gootracking_templateHistoricalView($oWC_Order_Custom, $is_admin);	
}
function gootracking_meta_box_historical_user_function(){
	$order_id = $_GET['post'];
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
	$is_admin = false;
	new gootracking_templateHistoricalView($oWC_Order_Custom, $is_admin);	
}
function labels_meta_box_function(){
	$order_id = $_GET['post'];
	new gootracking_checkoutLabel($order_id, false);	
}

function gootracking_meta_box_send_mail_function() {
	new gootracking_sendQuoteByEmailButton();
}
function gootracking_meta_box_request_feedback() {
	new gootracking_sendFeedbackByEmailButton();

	$order_id = $_GET['post'];
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
	//var_dump($oWC_Order_Custom);
	$oWC_Order_Custom->showFormatedArrayHistoricalFeedbackRequest();
	
}

function gootracking_meta_box_qr_code_function(){
	$order_id = $_GET['post'];
	//echo gootracking_getURL_QRCode($order_id, 180);

	$oQrCode = new gootracking_qrCode();
	$oQrCode->order_id = $order_id;
	$oQrCode->size = 180; 
	echo $oQrCode->get_shortcode();
}


add_action( 'save_post', 'gootracking_admin_init_POST_function' );
function gootracking_admin_init_POST_function() {	
	if (isset($_POST['requestFeedback']) ) {

		$order_id =	$_POST['order_id'];
		//wp_mail( 'sternwebagency@gmail.com', '[alan]', 'alanoooo'.$order_id);
		$email = new gootracking_email($order_id);
		$email->settypeEmail('feedback');
		$email->sendEmail();

		$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
		$oWC_Order_Custom->incrementHistoricalFeedbackRequest('orderButton');

		$error = new WP_Error( 'broke', __( "Request feedback sent!", "gootracking" ) );
		set_transient("my_save_post_errors_{$post_id}_{$user_id}", $error, 45);

	}
}



add_action( 'admin_notices', 'my_error_notice' );
function my_error_notice() {
	if ( $error = get_transient( "my_save_post_errors_{$post_id}_{$user_id}" ) ) { ?>
	    <div class="notice notice-success is-dismissible">
	        <p><?php echo $error->get_error_message(); ?></p>
	    </div><?php

	    delete_transient("my_save_post_errors_{$post_id}_{$user_id}");
	}
}




add_action( 'admin_init', 'gootracking_sendQuoteByEmail_function' );
function gootracking_sendQuoteByEmail_function() {
	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['sendQuoteByEmail']) ) {
				
		//$order_id = $_GET['post'];
		//wp_mail( 'sternwebagency@gmail.com', '[alan]', 'alanoooo'.$order_id);
		$order_id =	$_POST['order_id'];
		$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
		$oWC_Order_Custom->sendOrderStatusByEmail();	
	}	
	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['resetFeedback']) ) {
				
		$order_id =	$_POST['order_id'];
		//		wp_mail( 'sternwebagency@gmail.com', '[alan]', 'alanoooo'.$order_id);
		
		
		$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
		$oWC_Order_Custom->setarrayFeedback('');
		$oWC_Order_Custom->save();

		
	}	


}


function gootracking_meta_box_function_track_item(){
	$order_id = $_GET['post'];
	new gootracking_trackItemTemplate($order_id);	
}

function gootracking_meta_box_function(){
	$order_id = $_GET['post'];
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
	new gootracking_checkout( $oWC_Order_Custom, false, true, true, true);

}

function gootracking_meta_box_new_order_function(){
	new gootracking_template_workflow();	
}

add_action( 'save_post', 'gootracking_save_new_order' );
add_action( 'new_to_publish', 'gootracking_save_new_order' );
function gootracking_save_new_order( $post_id ) {
	//wp_mail( 'sternwebagency@gmail.com', '[alan]', 'save_post');
	$shippingType = $_POST['shippingType'];
	if($shippingType == '')
		return;
	// verify nonce
	// if (!isset($_POST['wpse_our_nonce']) || !wp_verify_nonce($_POST['wpse_our_nonce'], basename(__FILE__)))
	//     return 'nonce not verified';

	// check autosave
	if ( wp_is_post_autosave( $post_id ) )
	return 'autosave';

	//check post revision
	if ( wp_is_post_revision( $post_id ) )
	return 'revision';

	// check permissions
	/*
	if ( 'project' == $_POST['post_type'] ) {
	if ( ! current_user_can( 'edit_page', $post_id ) )
	return 'cannot edit page';
	} elseif ( ! current_user_can( 'edit_post', $post_id ) ) {
	return 'cannot edit post';
	}
	*/

	//so our basic checking is done, now we can grab what we've passed from our newly created form
	
	//wp_mail( 'sternwebagency@gmail.com', '[alan]', 'Error desactivate. URL: '. $shippingType);

	$oWC_Order_Custom = new gootracking_WC_Order_Custom($post_id);
	$oWC_Order_Custom->setshippingType($shippingType);
	$oWC_Order_Custom->save();
  
}


add_action( 'woocommerce_admin_order_data_after_billing_address', 'gootracking_checkout_field_display_admin_order_meta', 10, 1 );
function gootracking_checkout_field_display_admin_order_meta($order){
}


add_action( 'woocommerce_admin_order_data_after_shipping_address', 'gootracking_admin_order_data_after_shipping_address');
function gootracking_admin_order_data_after_shipping_address($order){

	$order_id = $order->id;
	$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
	$key = __('shippingType', 'gootracking-for-woocommerce' );
	$value = $oWC_Order_Custom->getshippingTypeFormated();
	$isTextFormat = true;
	gootracking_showHTMLOrderDetails($isTextFormat, $key, $value);

}



//wp_after_admin_bar_render
add_action( 'admin_init', 'my_page_template_redirect' );
function my_page_template_redirect()
{
//	wp_mail( 'sternwebagency@gmail.com', '[alan]', 'dd' );
//	var_dump("aa");
//	var_dump($_POST);


	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['completeOrderType']) ) {
		
		if(isset($_POST['shipping_order_id'])) {
			$order = new WC_Order( $_POST['shipping_order_id']);	
			$order->update_status( 'completed' );
//			wp_mail( 'sternwebagency@gmail.com', '[alan]', 'dd'.$_POST['shipping_order_id'] );
			
		}
		if(isset($_POST['quote_order_id'])) {
			$order = new WC_Order( $_POST['quote_order_id']);	
			$order->update_status( 'completed' );
		}		
		if(isset($_POST['returnToFinalCust_id'])) {
			$order = new WC_Order( $_POST['returnToFinalCust_id']);	
			$order->update_status( 'completed' );
		}		
	}

//	$actual_order_id = $_GET['post'];
//wp_safe_redirect(get_edit_post_link($actual_order_id,"&"));
	//exit;
}





add_action( 'admin_init', 'gootracking_newOrderfunction' );
function gootracking_newOrderfunction() {

	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['quote']) ) {
		
		$order_id =  $_POST['shipping_order_id'] ;
		
		$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
		$order_id_new = $oWC_Order_Custom->createNewOrder('quote');
		wp_safe_redirect(get_edit_post_link($order_id_new,"&"));
		exit;
		
	
	}
	
	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['returnToFinalCust']) ) {
		$order_id =  $_POST['shipping_order_id'] ;
		
		$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
		$order_id_new = $oWC_Order_Custom->createNewOrder('returnToFinalCust');
		wp_safe_redirect(get_edit_post_link($order_id_new,"&"));
		exit;
		
	}	
}

