<?php

if ( ! defined( 'ABSPATH' ) )
	exit;






 





add_filter( 'woocommerce_my_account_my_orders_actions', 'gootracking_my_account_order_actions', 10, 2 );
function gootracking_my_account_order_actions( $actions, $order ) {
	//var_dump($actions);
 	unset( $actions['cancel']);
 	unset( $actions['view']);

 	
 
 


	$oWC_Order_Custom = new gootracking_WC_Order_Custom($order->id);

	$shippingType = $oWC_Order_Custom->translateShippingType();

	$actions['view'] = array(
		'url'  =>  $order->get_view_order_url(),
		'name' => __( 'View order ', 'gootracking' ) . ' ' . $shippingType,			
	);

	$actions['sendInvoice'] = array(
		'url'  => add_query_arg('gootrackingAction', 'sendInvoice', $order->get_view_order_url()),
		'name' => __( 'Get Invoice by email', 'gootracking' ),			
	);	

	if($oWC_Order_Custom->getshippingType()=="Kiala") {
		$actions['tracking'] = array(
			'url'  => add_query_arg('gootrackingAction','tracking', $order->get_view_order_url()),
			'name' => __( 'Track item', 'gootracking' ),			
		);				
	}

	if(!( $oWC_Order_Custom->getshippingType() != 'quote' || $order->get_status() == 'failed')) {
		$actions['tracking'] = array(
			'url'  => add_query_arg('gootrackingAction','rejectOrderByCust', $order->get_view_order_url()),
			'name' => __( 'Reject Quote', 'gootracking' ),			
		);				
	}

	if( $oWC_Order_Custom->isFirstShippingOrder() && $order->get_status() == 'completed' && $oWC_Order_Custom->getarrayFeedback() == '') {
		$actions['showFeedback'] = array(
			'url'  => add_query_arg('gootrackingAction','showFeedback', $order->get_view_order_url()),
			'name' => __( 'Send feedback', 'gootracking' ),			
		);			
	}


	if($oWC_Order_Custom->getshippingType() != "") {
		$actions['sendNote'] = array(
			'url'  => add_query_arg('gootrackingAction','sendNote', $order->get_view_order_url()),
			'name' => __( 'Send Note', 'gootracking' ),			
		);

	//	if( $order->get_status() == 'completed' ||  $order->get_status() == 'processing') {
		if($oWC_Order_Custom->thisOrderGetLabels()) {
			$actions['showLabels'] = array(
				'url'  => add_query_arg('gootrackingAction','showLabels',  $order->get_view_order_url()),
				'name' => __( 'Show labels', 'gootracking' ),			
			);
		}

	}
	return $actions;
}



add_action( 'woocommerce_view_order', 'gootracking_woocommerce_view_order_style', 10, 1 );
function gootracking_woocommerce_view_order_style( $order_id ) {
	?>
	<style type="text/css">
		.order-again { display: none; visibility: hidden; }
	</style>
	<?php
	
}


add_action( 'woocommerce_view_order', 'gootracking_woocommerce_view_order_UPS_acces_point', 10, 1 );
function gootracking_woocommerce_view_order_UPS_acces_point( $order_id ) {	

	if($_GET['gootrackingAction'] == 'rejectOrderByCust') {
		new gootracking_rejectOrderByCust( $order_id );
	}

	if($_GET['gootrackingAction'] == 'showFeedback') {
		if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['sendFeedback']) ) {

			$order_id = $_POST['order_id'];
			$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
			$date = date( 'Y-m-d H:i:s' );




			$feedbacks = get_posts(
				array(
					'posts_per_page'   => -1,
			    	'post_type'   => 'gootracking_feedback',
			        'orderby'=> 'date',
			        'order'=>'ASC',
				) 
			);

		    foreach($feedbacks as $feedback) {
				$i = $feedback->ID;
				$arrayFeedbacks[] = array(
					'date' => $date,
					'nameQuestion' => $_POST['nameQ'.$i],
					'titleQuestion' => $_POST['titleQ'.$i],
					'answerQuestion' => $_POST['answerQ'.$i],
				);
			}
			
			
			$oWC_Order_Custom->setarrayFeedback( $arrayFeedbacks );
			$oWC_Order_Custom->save();
			//wc_add_notice( '<strong>' .  __( 'Great! ', 'gootracking' )  . '</strong> ' .  __( 'Your Feedback has been sent!', 'gootracking' ), 'success'  );

			?><div class="woocommerce-message"><strong>Great! </strong> Your Feedback has been sent!</div><?php



		} else {
			$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
			if($oWC_Order_Custom->getarrayFeedback() != '') {
				//	wc_add_notice( __( 'You have already sent your feedback!' ), 'error' );
				?>
				<ul class="woocommerce-error">
					<li><?php _e( 'You have already sent your feedback!' , 'gootracking' ); ?></li>
				</ul>
				<?php
				return;		
			}		
		}		
		new gootracking_showFeedback( $order_id );
	}		

	if($_GET['gootrackingAction'] == 'sendInvoice') {
		new gootracking_show_sendInvoiceByEmailButton( $order_id );
	}
	if($_GET['gootrackingAction'] == 'sendNote') {
		new sendNoteToOrderTemplate( $order_id );
	}
	
	if($_GET['gootrackingAction'] == 'tracking') {
		new gootracking_trackItemTemplate( $order_id );
	}
	if($_GET['gootrackingAction'] == 'showLabels') {
		new gootracking_checkoutLabel( $order_id );
	}	
	if(isset($_GET['showAPI_information'])) {
		new gootracking_rootUser_my_orders_API_information( $order_id );
	}	
	
	$oWC_Order_Custom = gootracking_WC_Order_Custom::getCorrectInstanceOf_WC_Order_Custom($order_id);
	//$oWC_Order_Custom = new gootracking_WC_Order_Custom($order_id); //
	new gootracking_checkout( $oWC_Order_Custom, true, false, true, true);
	
	
	new gootracking_rootUser_my_orders( $order_id ); 

	$is_admin = false;
	$oWC_Order_Custom->incrementArrayHistoricalView($is_admin);

	
}


add_action( 'init', 'gootracking_sendFeedbackFunction' );
function gootracking_sendFeedbackFunction() {	
}

add_action( 'init', 'gootracking_rejectOrderByCustFunction' );
function gootracking_rejectOrderByCustFunction() {	
	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['rejectOrderByCust']) ) {
		if($_POST['reasonRejectOrderByCust']=='') {
			wc_add_notice( '<strong>' .  __( 'Error! ', 'gootracking' )  . '</strong> ' .  __( 'What is the reason?', 'gootracking' ), 'error'  );				
		} else {
			$order_id = $_POST['order_id'];
			$order = new WC_Order($order_id);
			$reasonRejectOrderByCust = __( 'Rejected by client:', 'gootracking' ).' '.$_POST['reasonRejectOrderByCust'];
			$order->add_order_note($reasonRejectOrderByCust, 1, true);
			$order->update_status('failed');
			wc_add_notice( '<strong>' .  __( 'Great! ', 'gootracking' )  . '</strong> ' .  __( 'Your Quote has been rejected!', 'gootracking' ), 'success'  );	
		}	
	}
}


add_action( 'init', 'gootracking_sendInvoiceByEmailFunction' );
function gootracking_sendInvoiceByEmailFunction() {	
	if (($_SERVER['REQUEST_METHOD'] == 'POST') && isset($_POST['sendInvoiceByEmail']) ) {
	//	wp_mail( 'sternwebagency@gmail.com', '[alan]', 'hello'.$order_id . "a". get_the_ID(). "b" .  $_POST['order_id'] . "c" .   $_GET['order_id']);	
		$order_id = $_POST['order_id'];
		$oWC_Order_Custom = new gootracking_WC_Order_Custom( $order_id );
		$oWC_Order_Custom->sendOrderStatusByEmail('WC_Email_Customer_Invoice');
	//	wp_mail( 'sternwebagency@gmail.com', '[alan]', 'hello'.$order_id . "a". get_the_ID(). "b" .  $_POST['order_id'] . "c" .   $_GET['order_id']);
		wc_add_notice( '<strong>' .  __( 'Great! ', 'gootracking' )  . '</strong> ' .  __( 'Your invoice has been sent!', 'gootracking' ), 'success'  );
	
	}
}




