<?php

if ( ! defined( 'ABSPATH' ) )
	exit;


/* Change image dynamically */
add_action( 'init', 'gootracking_fix_thumbnail' ); 
function gootracking_fix_thumbnail() {
	if(!is_admin()) {
		add_filter('woocommerce_placeholder_img_src', 'gootracking_woocommerce_placeholder_img_src');

		function gootracking_woocommerce_placeholder_img_src( $src ) {
			/*$upload_dir = wp_upload_dir();
			$uploads = untrailingslashit( $upload_dir['baseurl'] );*/
			$oWC_Order_Custom = WC()->session->get( 'oWC_Order_Custom' );
			if(is_object($oWC_Order_Custom)) {
				if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType($oWC_Order_Custom->getshippingType())) {
					$src = $oWC_Order_Custom->getImageProductUrl();
				}
			//$src = plugins_url( 'img/kissala.png',  dirname(__FILE__) ) ;
			}
			return $src;
		}
	}
}

add_filter('woocommerce_product_single_add_to_cart_text', 'gootracking_woo_custom_cart_button_text');
function gootracking_woo_custom_cart_button_text() {
	/*
	foreach( WC()->cart->get_cart() as $cart_item_key => $values ) {
		$_product = $values['data'];
	
		if( get_the_ID() == $_product->id ) {
			return __('Send item', 'gootracking-for-woocommerce' );
		}
	}
	*/
	
	$oWC_Order_Custom = WC()->session->get( 'oWC_Order_Custom' );
	if(is_object($oWC_Order_Custom)) {
		if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType($oWC_Order_Custom->getshippingType())) {
			return __('Send item', 'gootracking-for-woocommerce' );
		}
	}
	return __('Buy', 'gootracking-for-woocommerce' );
	
}

/*

add_action( 'woocommerce_before_single_product_summary', 'gootracking_woocommerce_after_single_product', 11 );
function gootracking_woocommerce_after_single_product() {
	foreach( WC()->cart->get_cart() as $cart_item_key => $values ) {
		$_product = $values['data'];
	
		if( get_the_ID() == $_product->id ) {
			?>
				<a class="cart-contents" href="<?php echo WC()->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart', 'gootracking-for-woocommerce' ); ?>"><?php echo sprintf (_n( '%d item', '%d items', WC()->cart->get_cart_contents_count() ), WC()->cart->get_cart_contents_count() ); ?> - <?php echo WC()->cart->get_cart_total(); ?></a>
				<br>
				<br>
				<form method="post">
					<button class="btn btn-primary" type="submit" name="emptyCart"  value="emptyCart" type="button"><?php _e('Empty Cart', 'gootracking-for-woocommerce' ); ?></button>
				</form>
			<?php
			
		}
	}	
};
*/


/*
add_action( 'init', 'gootracking_woocommerce_clear_cart' );
function gootracking_woocommerce_clear_cart() {
  global $woocommerce;
	
	if ( isset( $_POST['emptyCart'] ) ) {
		$woocommerce->cart->empty_cart(); 
	}
}
*/

add_filter( 'wc_product_sku_enabled', 'gootracking_sv_remove_product_page_skus' );
function gootracking_sv_remove_product_page_skus( $enabled ) {
    if ( ! is_admin() && is_product() ) {
        return false;
    }
    return $enabled;
}



add_filter ('woocommerce_add_to_cart_redirect', 'gootracking_redirect_to_checkout');
function gootracking_redirect_to_checkout() {
	
    return WC()->cart->get_checkout_url();
}

add_filter( 'woocommerce_add_cart_item_data', 'gootracking_empty_cart', 10,  3);
function gootracking_empty_cart( $cart_item_data, $product_id, $variation_id ) 
{

	
	
	
	if(get_option('gootracking_key') == (new gootracking_option)->getcodeForRootDomain()) {
	//	return;	
	}
	//echo get_option('gootracking_key') . " ALAN " . (new gootracking_option)->getcodeForRootDomain();
	
	
	$oWC_Order_Custom = WC()->session->get( 'oWC_Order_Custom' );
	//var_dump($_POST);
	if($_POST['serialNumber'] == "") {
		throw new Exception( __( 'Sorry. Value serial Number cannot be null', 'gootracking' ) );
	} else {
		$oWC_Order_Custom->setserialNumber($_POST['serialNumber']);
		WC()->session->set( 'oWC_Order_Custom' , $oWC_Order_Custom );
	}
	
	if(gootracking_WC_Order_Custom::isSessionShippingType("UPS")){
		if(get_option('gootracking_ask_UPS_dimensions_item')!="false") {
			if($oWC_Order_Custom->getitemWeight() == 0 || $oWC_Order_Custom->getitemLength() == 0 || $oWC_Order_Custom->getitemHeight() == 0 || $oWC_Order_Custom->getitemWidth() == 0 ) {
			//	throw new Exception( __( 'Sorry. Value cannot be null', 'gootracking' ) );
			}
		}
	}
    global $woocommerce;
    $woocommerce->cart->empty_cart();
    return $cart_item_data;
}

add_action('template_redirect', 'gootracking_remove_gallery_and_product_images');
function gootracking_remove_gallery_and_product_images() {
	if ( is_product() ) {
		if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType("Kiala")){
			remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20 );
		} else {
			
		}
	}
}


add_action( 'woocommerce_before_single_product', 'gootracking_woocommerce_before_single_product', 11 );
function gootracking_woocommerce_before_single_product() {
	$oWC_Order_Custom = WC()->session->get( 'oWC_Order_Custom' );
	//var_dump($oWC_Order_Custom );
	if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType("Kiala")){
		new gootracking_product_kiala;
	} 
	
};


//woocommerce_before_shop_loop_item_title
//woocommerce_after_single_product_summary
//woocommerce_before_subcategory_title
//woocommerce_before_main_content

add_action( 'woocommerce_before_add_to_cart_button', 'gootracking_woocommerce_before_subcategory_title', 11 );
function gootracking_woocommerce_before_subcategory_title() {
	$oWC_Order_Custom = WC()->session->get( 'oWC_Order_Custom' );
	if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType("UPS")){
		//echo get_class($oWC_Order_Custom);
		new gootracking_productUPS($oWC_Order_Custom);
	} else if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType("personal"))	{
		new gootracking_productDetailsTemplate($oWC_Order_Custom);
	} else if(gootracking_WC_Order_Custom::isPrudctAndSessionShippingType("Kiala"))	{
		new gootracking_productDetailsTemplate($oWC_Order_Custom);
	}
	
};



add_action( 'template_redirect', 'gootracking_getArgKiala' );
function gootracking_getArgKiala(){
	//if(isset($_GET['kpname'])) {
	if(!gootracking_WC_Order_Custom::isPrudctAndSessionShippingType("Kiala")){
		return;
	}
	
	$oWC_Order_Custom = WC()->session->get( 'oWC_Order_Custom' );
	
	if(!is_object ( $oWC_Order_Custom )) {
		return;
	}
	if($oWC_Order_Custom->getshippingType()!="Kiala") {
		return;
	}

	
	
	
	if(isset($_GET['kpname'])) {
		$kpname= substr($_GET['kpname'],4);
		$oWC_Order_Custom->setkpname($kpname);
	} else { return; }
	if(isset($_GET['shortkpid'])) {
		$shortkpid=  $_GET['shortkpid'];
		$oWC_Order_Custom->setshortkpid($shortkpid);
	} else { return; } 		
	if(isset($_GET['street'])) {
		$street = $_GET['street'].' ';
		$oWC_Order_Custom->setstreet($street);
	} else { return; }
	if(isset($_GET['zip'])) {
		$zip = $_GET['zip'];
		$oWC_Order_Custom->setzip($zip);
	} else { return; }
	if(isset($_GET['city'])) {
		$city = $_GET['city'];
		$oWC_Order_Custom->setcity($city);
	} else { return; }						
	if(isset($_GET['locationhint'])) {
		$locationhint = $_GET['locationhint'];				
		$locationhint = str_replace('\\','', $locationhint);
		$oWC_Order_Custom->setlocationhint($locationhint);
	} else { return; }
	if(isset($_GET['image'])) {
		$image= str_replace('%2F','/',$_GET['image']);
		$oWC_Order_Custom->setimage($image);
	} else { return; }			
	
	
	

	$totalPhraseSchedule ='';
	if(isset($_GET['openinghours'])) {
		
		$phrase = $_GET['openinghours'];
		
		$phrase = explode("-", $phrase);
		//for ($i=0; $i <= 5; $i++) {
		foreach($phrase as $smallPhrase) {	
			$y=6;
			$smallPhrase = substr($smallPhrase,0,$y) . ':' . substr($smallPhrase,$y,999);
			$y=$y+6;
			$smallPhrase = substr($smallPhrase,0,$y) . ':' . substr($smallPhrase,$y,999);
				if(strlen($smallPhrase) >16) {
				$y=$y+4;
				$smallPhrase = substr($smallPhrase,0,$y) . '-' . substr($smallPhrase,$y,999);
				$y=$y+3;
				$smallPhrase = substr($smallPhrase,0,$y) . ':' . substr($smallPhrase,$y,999);
				$y=$y+6;
				$smallPhrase = substr($smallPhrase,0,$y) . ':' . substr($smallPhrase,$y,999);							
				}
			$words1 = array("."	,"MON"		,"TUE"	,"WED"		,"THU"		,"FRI"		,"SAT"		,"SUN" );
			$words2 = array(" "	,"Lundi"	,"Mardi","Mercredi"	,"Jeudi"	,"Vendredi"	,"Samedi"	,"Dimanche");	
			$smallPhrase = str_replace($words1, $words2, $smallPhrase);							
				
			$totalPhraseSchedule .= $smallPhrase.'<br>';							
		}
	}
	$oWC_Order_Custom->settotalPhraseSchedule($totalPhraseSchedule);
	WC()->session->set( 'oWC_Order_Custom' , $oWC_Order_Custom );	
	//gootracking_saveAccesPointToSesstion($oWC_Order_Custom);
	
}