<?php

if ( ! defined( 'ABSPATH' ) )
exit;





add_action( 'init', 'gootracking_create_posttype_gootracking_feedback' );
function gootracking_create_posttype_gootracking_feedback() {


		$labels = array(
			'name' => __( 'gootracking feedback','gootracking' ),
			'singular_name' => __( 'gootracking feedback' ,'gootracking'),
			'edit_item'           => __( 'Edit gootracking feedback', 'gootracking' ),
			'update_item'         => __( 'Update gootracking feedback', 'gootracking' ),
			'search_items'        => __( 'Search gootracking feedback', 'gootracking' ),
			'not_found'           => __( 'Not Found', 'gootracking' ),
			'not_found_in_trash'  => __( 'Not found in Trash', 'gootracking' ),
		);
		
		$args = array(
				'labels' => $labels,
				'public' => true,
				'has_archive' => true,
				'rewrite' => array('slug' => 'gootracking_feedback'),
				//'show_in_menu' => 'SternTaxiPage'
			//	'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields', ),
				'supports'            => array( 'title',   ),
				'taxonomies'          => array( 'genres' ),
				'hierarchical'        => false,
				'show_ui'             => true,
				'show_in_menu'        => true,
				'show_in_nav_menus'   => true,
				'show_in_admin_bar'   => true,
				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => false,
				'publicly_queryable'  => true,
				'capability_type'     => 'page',



			);
		
		register_post_type( 'gootracking_feedback', $args);
		
			

		add_filter( 'manage_edit-gootracking_feedback_columns', 'gootracking_edit_gootracking_feedback_columns' ) ;
		function gootracking_edit_gootracking_feedback_columns( $columns ) {
			
			unset($columns['author']);
			unset($columns['Analytics']);


			
			unset($columns['comments']);
			$new_columns = array(
				//'cb' => '<input type="checkbox" />',
			//	'post_title' => __( 'post_title' , 'gootracking'),
			//	'userID' => __( 'userID' , 'gootracking'),
				'nameQuestion' => __( 'nameQuestion' , 'gootracking'),
			//	'titleQuestion' => __( 'titleQuestion' , 'gootracking'),			
				'typeField' => __( 'typeField' , 'gootracking'),
			

				
			//	'date' => __( 'date' )
			);

			return array_merge($columns, $new_columns);
		}


			
			
			
			

		add_action( 'manage_gootracking_feedback_posts_custom_column', 'gootracking_feedback_columns', 10, 2 );
		function gootracking_feedback_columns( $column, $post_id ) {
			global $post;

			switch( $column ) {

				case 'post_title' :
					$data = get_the_title( $post_id );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
			/*		
				case 'userID' :
					$data = get_post_meta( $post_id, 'userID', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;

*/
					
				case 'nameQuestion' :
					$data = get_post_meta( $post_id, 'nameQuestion', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;

				/*	
				case 'titleQuestion' :
					$data = get_post_meta( $post_id, 'titleQuestion', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
					*/

				case 'typeField' :
					$data = get_post_meta( $post_id, 'typeField', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
					
						
					
				default :
					break;
			}
		}
		
	
}











add_action('add_meta_boxes', 'gootracking_meta_bof_feedback');
function gootracking_meta_bof_feedback() {
   add_meta_box(
       'custom_meta_box-2',       // $id
       __('Feedbacks', 'gootracking'),                  // $title
       'show_custom_meta_box_2',  // $callback
       'gootracking_feedback',    // $page
       'normal',                  // $context
       'high'                     // $priority
   );
}



//showing custom form fields
function show_custom_meta_box_2() {
    global $post;

    // Use nonce for verification to secure data sending
    wp_nonce_field( basename( __FILE__ ), 'wpse_our_nonce' );

    ?>

    <!-- my custom value input -->
    <label for='nameQuestion'><?php _e('nameQuestion', 'gootracking-for-woocommerce' ); ?></label>
    <input type="text" id="nameQuestion" name="nameQuestion" value="<?php echo get_post_meta($post->ID, 'nameQuestion', true); ?>">
    <?php _e('No spaces. Must be an ID. No specal characters', 'gootracking-for-woocommerce' ); ?>
    <br>
    <label for='typeField'><?php _e('nameQuestion', 'gootracking-for-woocommerce' ); ?></label>
	<select id="typeField" name="typeField">
		<option value="textarea" 	<?php echo (get_post_meta($post->ID, 'typeField', true) == 'textarea') 	? 'selected' : '' ?>>textarea</option>
		<option value="selectBool" 	<?php echo (get_post_meta($post->ID, 'typeField', true) == 'selectBool' ) 	? 'selected' : ''?>>selectBool</option>
		<option value="selectRate" 	<?php echo (get_post_meta($post->ID, 'typeField', true) == 'selectRate' ) 	? 'selected' : '' ?>>selectRate</option>
	</select>     

    <?php
}

add_action( 'save_post', 'wpse_save_meta_fields' );
add_action( 'new_to_publish', 'wpse_save_meta_fields' );
function wpse_save_meta_fields( $post_id ) {

  // verify nonce
  if (!isset($_POST['wpse_our_nonce']) || !wp_verify_nonce($_POST['wpse_our_nonce'], basename(__FILE__)))
      return 'nonce not verified';

  // check autosave
  if ( wp_is_post_autosave( $post_id ) )
      return 'autosave';

  //check post revision
  if ( wp_is_post_revision( $post_id ) )
      return 'revision';

  // check permissions
  if ( 'project' == $_POST['post_type'] ) {
      if ( ! current_user_can( 'edit_page', $post_id ) )
          return 'cannot edit page';
      } elseif ( ! current_user_can( 'edit_post', $post_id ) ) {
          return 'cannot edit post';
  }

  //so our basic checking is done, now we can grab what we've passed from our newly created form
  $nameQuestion = $_POST['nameQuestion'];
  $typeField = $_POST['typeField'];
  update_post_meta($post_id, 'nameQuestion', $nameQuestion );
  update_post_meta($post_id, 'typeField', $typeField );
  
}

