<?php
/*
 Plugin Name: GooTracking for WooCommerce
 Description: UPS Shipping and customer management Plugin for WooCommerce. Edit UPS and any transporter shipment label. Clients data scan, quotes editing, communication interface. All-in-one Solution !
 Version: 0.1.59
 Plugin URI: http://gootracking.gooplus.fr/
 Author: Gooplus.fr
 Text Domain: gootracking-for-woocommerce
 Domain Path: /languages
 Author URI: http://gootracking.gooplus.fr/
 License: GNU General Public License v3 or later
*/


if ( ! defined( 'ABSPATH' ) )
	exit;



register_deactivation_hook( __FILE__, 'gootracking_deactivate' );
	
if ( gootracking_isWooCommerceActive() ) {
	register_activation_hook( __FILE__,  'gootracking_install' );


	add_action('wp_enqueue_scripts', 'gootracking_acces_points_script_front_css');
	add_action('wp_enqueue_scripts', 'gootracking_acces_points_script_front_js');
	add_action('admin_enqueue_scripts', 'gootracking_acces_points_script_back_js');
	add_action('admin_enqueue_scripts', 'gootracking_acces_points_script_back_css');
	
	add_action( 'plugins_loaded', 'gootracking_load_textdomain' );
	

	//add_action('init', 'gootracking_register_shortcodes');

	include 'controller/controller_thank_you.php';
	include 'controller/controller_product.php';
	include 'controller/controller_my_orders.php';
	include 'controller/controller_main.php';
	include 'controller/controller_checkout.php';
	include 'controller/controller_checkout_pickupClient.php';
	
	
	include 'controller/controller_emails.php';
	include 'controller/controller_track_item.php';
	
	
	
	include 'controller/ajax.php';

	include 'controller/admin/ajax_admin.php';
	include 'controller/admin/admin.php';
	include 'controller/admin/controller_admin_dashboard.php';
	include 'controller/admin/controller_admin.php';
	include 'controller/admin/controller_admin_orders.php';

	
	include 'controller/functions.php';
	include 'controller/functions_api.php';
	
	include 'controller/feedbackPostType.php';
	
	include 'templates/checkout/checkout.php';
	include 'templates/checkout/checkoutLabel.php';
	include 'templates/checkout/checkoutUPS.php';
	
	
	include 'templates/form/showForm1.php';
	include 'templates/form/productKiala.php';
	include 'templates/form/productUPS.php';
	include 'templates/form/getHtmlPdf.php';
	include 'templates/form/trackItemTemplate.php';
	
	include 'templates/form/ProductDetailsTemplate.php';
	include 'templates/form/rootUser_my_orders.php';
	include 'templates/form/rootUser_my_orders_API_information.php';
	
	include 'templates/form/my_orders/rejectOrderByCust.php';
	include 'templates/form/my_orders/show_sendInvoiceByEmailButton.php';
	include 'templates/form/my_orders/showFeedback.php';
	include 'templates/form/my_orders/sendNoteToOrderTemplate.php';
	


	include 'lib/mpdf/mpdf.php';
	
	
	include 'templates/admin/logout.php';	
		
	include 'templates/admin/templateOption.php';
	include 'templates/admin/template_workflow.php';
	
	
	include 'templates/admin/templateHistoricalView.php';
	include 'templates/admin/templateAdminOrders.php';
	include 'templates/admin/dashboardFeedbacks.php';
	include 'templates/admin/gootracking_create_products.php';
	include 'templates/admin/questionFeedback.php';
	

	include 'templates/admin/pages/GooTrackingShip.php';
	include 'templates/admin/pages/cleanAdmin.php';
	include 'templates/admin/pages/settings.php';
	include 'templates/admin/pages/templateInfo.php';

	
	
	include 'classes/pdfUPS.php';
	include 'classes/qrCode.php';
	//include 'classes/historical.php';
	
	include 'classes/WC_Order_Custom.php';
	include 'classes/WC_Order_Custom_UPS.php';
	include 'classes/WC_Order_Custom_Kiala.php';
	include 'classes/WC_Product_Custom.php';
	include 'classes/emails.php';
	
	include 'classes/pdf2text.php';
	include 'classes/remoteKey.php';
	include 'classes/option.php';
	


	include 'classes/widget.php';
} else {
    function gootracking_admin_notices_custom() { ?>
        <div class="error">
            <p><?php _e( 'GooTracking Plugin: Please Install WooCommerce First before activating this Plugin. You can download WooCommerce from <a href="http://wordpress.org/plugins/woocommerce/">here</a>.', 'stern-ticketing-events' ); ?></p>
        </div>
    <?php }
	
    add_action( 'admin_notices', 'gootracking_admin_notices_custom' );
	
}

function gootracking_isWooCommerceActive() {
	if(is_multisite() ) {
		return true;
	} else {
		if(
			
			in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) 
		
		) {
			return true;
		} else {
			return false;
		}
	}
}

function gootracking_deactivate() {
	(new gootracking_option)->send_website_client_info_desactivate();
}

function gootracking_install() {
	(new gootracking_option)->send_website_client_info_install();
	/*
	$exist = get_option('gootracking_product_id_1');
	gootracking_saveVersion();
	//sendInfosDebug();
	if($exist){
		if ( get_post_status ( $exist ) ) {
			return true;
		} else {
			gootracking_createProductAndSaveId();
		}
		
	} else { 
		gootracking_createProductAndSaveId();
		
	}
	*/
}
	




function gootracking_acces_points_script_back_css() {

	wp_register_style('gootracking_back_css', plugins_url('css/gootracking_style_back.css',__FILE__));
	wp_enqueue_style('gootracking_back_css');
}
	
function gootracking_acces_points_script_front_css() {
	
		/* Dashicons Cheat Sheet */
		wp_enqueue_style( 'dashicons-style', get_stylesheet_uri(), array('dashicons'), '1.0' );
			
		wp_register_style('stern_bootstrap', plugins_url('css/bootstrap.min.css',__FILE__));
		wp_enqueue_style('stern_bootstrap');		

        wp_register_style('gootracking_style', plugins_url('css/gootracking_style.css',__FILE__));
        wp_enqueue_style('gootracking_style');		
	
}


function gootracking_acces_points_script_back_js() {
	wp_register_script('gootracking_admin_js', plugins_url('js/gootracking_admin.js', __FILE__ ));	
	wp_enqueue_script('gootracking_admin_js'); 	
}

function gootracking_acces_points_script_front_js() {	

        $google_map_api = 'https://maps.google.com/maps/api/js?libraries=places&language='.get_option('gootracking_company_country');
        wp_enqueue_script('google-places', $google_map_api);
	
		wp_register_script('stern_bootstrapMinjs', plugins_url('js/bootstrap.min.js', __FILE__ ),array('jquery'));
		wp_enqueue_script('stern_bootstrapMinjs'); 
			
       	wp_register_script('gootracking', plugins_url('js/gootracking.js', __FILE__ ),array('jquery'));	
		wp_localize_script('gootracking', 'my_ajax_object',			array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );

		wp_enqueue_script('gootracking' );    

}




/**
 * Load plugin textdomain.
 *
 * @since 1.0.0
 */
function gootracking_load_textdomain() {
	load_plugin_textdomain( 'gootracking-for-woocommerce', FALSE, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
/*
  	$locale = apply_filters( 'plugin_locale', get_locale(), 'gootracking' );
	$dir    = trailingslashit( WP_LANG_DIR );

	load_textdomain( 'gootracking-for-woocommerce', $dir . 'gootracking-for-woocommerce-' . $locale . '.mo' );
	load_plugin_textdomain( 'gootracking-for-woocommerce', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
*/

}	
	