<?php

if ( ! defined( 'ABSPATH' ) )
	exit;







add_action( 'admin_init', 'my_remove_menu_pages' );
add_action( 'admin_menu', 'my_remove_menu_pages' );
function my_remove_menu_pages() { 
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {

		remove_menu_page( 'edit.php?post_type=portfolio' );
		remove_menu_page( 'vc-welcome' );

		remove_submenu_page( 'index.php', 'my-sites.php' );
	//	remove_menu_page( 'index.php' );                  //Dashboard
	//	remove_menu_page( 'jetpack' );                    //Jetpack* 
		remove_menu_page( 'edit.php' );                   //Posts
		remove_menu_page( 'upload.php' );                 //Media
		remove_menu_page( 'edit.php?post_type=page' );    //Pages
		remove_menu_page( 'edit-comments.php' );          //Comments
		remove_menu_page( 'themes.php' );                 //Appearance
		remove_menu_page( 'plugins.php' );                //Plugins

		remove_menu_page( 'tools.php' );                  //Tools
		remove_menu_page( 'options-general.php' );        //Settings
		remove_menu_page( 'edit.php?post_type=isa_docs' );

		if(gootracking_option::get_current_user_role() == "shop_manager_gootracking") {
		//	remove_menu_page( 'users.php' );                  //Users
			remove_submenu_page( 'users.php', 'users.php' );		
		}

		
		remove_menu_page( 'wpcf7' );    			    //


		remove_menu_page('link-manager.php'); // Links

	//	wp_deregister_script( 'admin-bar' );
	//	wp_deregister_style( 'admin-bar' );
	}
}


add_action('admin_head', 'mytheme_remove_help_tabs');
function mytheme_remove_help_tabs() {
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {	
		$screen = get_current_screen();
		$screen->remove_help_tabs();
	}
}
add_filter('screen_options_show_screen', '__return_false');
add_action('wp_before_admin_bar_render', 'annointed_admin_bar_remove', 0);
function annointed_admin_bar_remove() {

	if(gootracking_option::is_current_user_is_hosted_gootracking()) {	
		global $wp_admin_bar;
		
		
	 
		$wp_admin_bar->remove_node( 'my-sites' );

		// To remove WordPress logo and related submenu items
		$wp_admin_bar->remove_menu('wp-logo');
		$wp_admin_bar->remove_menu('about');
		$wp_admin_bar->remove_menu('wporg');
		$wp_admin_bar->remove_menu('documentation');
		$wp_admin_bar->remove_menu('support-forums');
		$wp_admin_bar->remove_menu('feedback');

		// To remove Site name/View Site submenu and Edit menu from front end
		$wp_admin_bar->remove_menu('site-name');
		$wp_admin_bar->remove_menu('view-site');
		$wp_admin_bar->remove_menu('edit');

		// To remove Update Icon/Menu
		$wp_admin_bar->remove_menu('updates');

		// To remove Comments Icon/Menu
		$wp_admin_bar->remove_menu('comments');

		// To remove 'New' Menu
		$wp_admin_bar->remove_menu('new-content');

		// To remove 'Howdy, user' Menu completely and Search field from front end
		$wp_admin_bar->remove_menu('top-secondary');
		$wp_admin_bar->remove_menu('search'); 

		// To remove 'Howdy, user' subMenus 
		$wp_admin_bar->remove_menu('user-actions');
		$wp_admin_bar->remove_menu('user-info');
		$wp_admin_bar->remove_menu('edit-profile');   
		$wp_admin_bar->remove_menu('logout');
	}
}






add_action('after_setup_theme', 'remove_admin_bar');
function remove_admin_bar() {
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		if (!current_user_can('administrator') && !is_admin()) {
		  show_admin_bar(false);
		}
	}
}

add_filter('admin_footer_text', 'remove_footer_admin');
function remove_footer_admin () 
{
/*	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		echo gootracking_option::getURLGooTrackingLogoFormated('big', false);
		echo "<br><br><br><br><br>";
	}
*/
    echo '<span id="footer-thankyou">Developed by <a href="http://www.gootracking.gooplus.fr" target="_blank">GooTracking</a></span>';	
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		?>
		- 
		<a href="<?php echo wp_logout_url(); ?>"><?php _e('Logout', 'gootracking-for-woocommerce' ); ?></a>
		<?php
	}
}







add_action('admin_head', 'wpse_remove_collapse');
function wpse_remove_collapse() {
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		?>	
			<style type="text/css">
				html { 
					background-image: url("http://gooplus.fr/wp-content/uploads/2016/02/logo-gooplus-slogan2.png");
					background-repeat: no-repeat;
					background-attachment: fixed;
					background-position: 100% 25px;
					background-color: #A9D3D8;
				}
				
				#footer-upgrade { display: none; visibility: hidden; }
				#adminmenu { background: #21ABB7; }
				#wpadminbar { background: #25C6DA; }
				#adminmenuwrap { background: #20ADBC; }
				#adminmenuback { background: #25C6DA; }
				#wp-admin-bar-wpseo-menu { display: none; visibility: hidden; }
			
				#collapse-menu { display: none; visibility: hidden; }

				#woocommerce-order-downloads { display: none; visibility: hidden; }
				#postcustom { display: none; visibility: hidden; }
				#mymetabox_revslider_0 { display: none; visibility: hidden; }
				
			</style>



			<?php // Dashboard Page ?>
			<style type="text/css">
				.empty-container { display: none; visibility: hidden; }

			</style>


			<?php // Profile Page ?>
			<style type="text/css">
				.user-admin-color-wrap { display: none; visibility: hidden; }
				.user-rich-editing-wrap { display: none; visibility: hidden; }
				.user-comment-shortcuts-wrap { display: none; visibility: hidden; }
				.user-admin-bar-front-wrap { display: none; visibility: hidden; }				
				.user-profile-picture { display: none; visibility: hidden; }
			</style>
			
		<?php
	}
}

add_action( 'admin_menu', 'wooninja_remove_items', 99, 0 );
function wooninja_remove_items() {
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		$remove = array( 'wc-settings', 'wc-status', 'wc-addons', 'wc-addons',);
		foreach ( $remove as $submenu_slug ) {		
			remove_submenu_page( 'woocommerce', $submenu_slug );
		}
	}
}




add_action( 'admin_init', 'remove_dashboard_meta' );
function remove_dashboard_meta() {
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		remove_meta_box( 'dashboard_incoming_links', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_plugins', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_primary', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_secondary', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_incoming_links', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_quick_press', 'dashboard', 'side' );
		remove_meta_box( 'dashboard_recent_drafts', 'dashboard', 'side' );
		remove_meta_box( 'dashboard_recent_comments', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_right_now', 'dashboard', 'normal' );
		remove_meta_box( 'dashboard_activity', 'dashboard', 'normal' );
		remove_meta_box( 'wpseo-dashboard-overview', 'dashboard', 'normal' );
		remove_meta_box( 'woocommerce_dashboard_recent_reviews', 'dashboard', 'normal' );
		remove_meta_box( 'woocommerce_dashboard_status', 'dashboard', 'normal' );
		remove_meta_box( 'gadwp-widget', 'dashboard', 'normal' );
	}
}






// rename Woocommerce Name 


add_action( 'admin_menu', 'rename_woocoomerce_wpse_100758', 999 );

function rename_woocoomerce_wpse_100758() 
{
	if(gootracking_option::is_current_user_is_hosted_gootracking()) {
		global $menu;
		// Pinpoint menu item
		$woo = recursive_array_search_php_91365( 'WooCommerce', $menu );
		// Validate
		if( !$woo )
			return;

		$menu[$woo][0] = 'Gootracking Store';
	}
}

function recursive_array_search_php_91365( $needle, $haystack ) 
{
    foreach( $haystack as $key => $value ) 
    {
        $current_key = $key;
        if( 
            $needle === $value 
            OR ( 
                is_array( $value )
                && recursive_array_search_php_91365( $needle, $value ) !== false 
            )
        ) 
        {
            return $current_key;
        }
    }
    return false;
}


add_action( 'login_enqueue_scripts', 'gootracking_my_login_logo', 99 );
function gootracking_my_login_logo() { ?>
    <style type="text/css">
        #login h1 a, .login h1 a {
            background-image: url(<?php echo gootracking_option::getURLGooTrackingLogoFormated('165',false,true); ?>);
            padding-right: 165px;
            background-size: 165px 60px;
            
        }
    </style>
<?php }



