<?php

if ( ! defined( 'ABSPATH' ) )
exit;





add_action( 'init', 'gootracking_create_posttype_gootracking_rkey' );
function gootracking_create_posttype_gootracking_rkey() {
	if(gootracking_option::get_current_user_role() == "shop_manager_gootracking" ) 
		return;
	
	if(get_option('gootracking_key') == (new gootracking_option)->getcodeForRootDomain()) {
		$labels = array(
					'name' => __( 'gootracking_rkey','gootracking' ),
					'singular_name' => __( 'gootracking_rkey' ,'gootracking'),
					'edit_item'           => __( 'Edit gootracking_rkey', 'gootracking' ),
					'update_item'         => __( 'Update gootracking_rkey', 'gootracking' ),
					'search_items'        => __( 'Search gootracking_rkey', 'gootracking' ),
					'not_found'           => __( 'Not Found', 'gootracking' ),
					'not_found_in_trash'  => __( 'Not found in Trash', 'gootracking' ),
			);
		
		$args = array(
				'labels' => $labels,
				'public' => true,
				'has_archive' => true,
				'rewrite' => array('slug' => 'gootracking_rkey'),
				//'show_in_menu' => 'SternTaxiPage'
			//	'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields', ),
				'supports'            => array( 'title',  'revisions', 'custom-fields', ),
				'taxonomies'          => array( 'genres' ),
				'hierarchical'        => false,
				'show_ui'             => true,
				'show_in_menu'        => true,
				'show_in_nav_menus'   => true,
				'show_in_admin_bar'   => true,

				'can_export'          => true,
				'has_archive'         => true,
				'exclude_from_search' => false,
				'publicly_queryable'  => true,
				'capability_type'     => 'page',



			);
		
		register_post_type( 'gootracking_rkey', $args);
		
			

		add_filter( 'manage_edit-gootracking_rkey_columns', 'gootracking_edit_gootracking_rkey_columns' ) ;
		function gootracking_edit_gootracking_rkey_columns( $columns ) {
			echo 'deborah';
			var_dump($columns);
			
			unset($columns['gadwp_stats']);
			unset($columns['analytics']);
			unset($columns['wpseo-score']);
			unset($columns['wpseo-score-readability']);

			
			
			unset($columns['comments']);
			$new_columns = array(
				//'cb' => '<input type="checkbox" />',
			//	'post_title' => __( 'post_title' , 'gootracking'),
			//	'userID' => __( 'userID' , 'gootracking'),
			//	'key' => __( 'key' , 'gootracking'),
			//	'cryptedKey' => __( 'cryptedKey' , 'gootracking'),			
				'dateBegin' => __( 'dateBegin' , 'gootracking'),
				'dateEnd' => __( 'dateEnd' , 'gootracking'),
				'nbUPSCalled' => __( 'nbUPSCalled' , 'gootracking'),
				'siteurl' => __( 'siteurl' , 'gootracking'),
				'admin_email' => __( 'admin_email' , 'gootracking'),
			//	'version_plugin' => __( 'version_plugin' , 'gootracking'),
				'localeCountry' => __( 'localeCountry' , 'gootracking'),
				'customer_orders' => __( 'customer_orders' , 'gootracking'),
				'dateFirstInstallPlugin' => __( 'dateFirstInstallPlugin' , 'gootracking'),
				'dateDesinstallPlugin' => __( 'dateDesinstallPlugin' , 'gootracking'),
				
				

				
			//	'date' => __( 'date' )
			);

			return array_merge($columns, $new_columns);
		}


			
			
			
			

		add_action( 'manage_gootracking_rkey_posts_custom_column', 'gootracking_rkey_columns', 10, 2 );
		function gootracking_rkey_columns( $column, $post_id ) {
			global $post;

			switch( $column ) {

				case 'post_title' :
					$data = get_the_title( $post_id );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
					
				case 'userID' :
					$data = get_post_meta( $post_id, 'userID', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;


					
				case 'key' :
					$data = get_post_meta( $post_id, 'key', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;

					
				case 'cryptedKey' :
					$data = get_post_meta( $post_id, 'cryptedKey', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
					

				case 'dateBegin' :
					$data = get_post_meta( $post_id, 'dateBegin', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
					
				case 'dateEnd' :
					$data = get_post_meta( $post_id, 'dateEnd', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;				
				case 'nbUPSCalled' :
					$data = get_post_meta( $post_id, 'nbUPSCalled', true );
					if ( empty( $data ) )
						echo __( '' );
					else
						echo $data ;
					break;
				case 'siteurl' :
					$data = get_post_meta( $post_id, 'siteurl', true );
					if ( empty( $data ) )
						echo __( '' );
					else
						echo '<a href='.$data.' target="_blank">&#128279;</a>' ;
					break;					
				case 'admin_email' :
					$data = get_post_meta( $post_id, 'admin_email', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;	
				case 'version_plugin' :
					$data = get_post_meta( $post_id, 'version_plugin', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;	
				case 'localeCountry' :
					$data = get_post_meta( $post_id, 'localeCountry', true );
					if ( empty( $data ) )
						echo __( '' );
					else
						echo $data ;
					break;	
				case 'dateFirstInstallPlugin' :
					$data = get_post_meta( $post_id, 'dateFirstInstallPlugin', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;
				case 'dateDesinstallPlugin' :
					$data = get_post_meta( $post_id, 'dateDesinstallPlugin', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;					
						

				case 'customer_orders' :
					$data = get_post_meta( $post_id, 'customer_orders', true );
					if ( empty( $data ) )
						echo __( 'Unknown' );
					else
						echo $data ;
					break;																				
				default :
					break;
			}
		}
		
	}
}

