<?php

if ( ! defined( 'ABSPATH' ) )
	exit;


Class gootracking_showInputNumberOption{
	function __construct($nameOption, $title, $tooltip, $width, $step="1", $helpURL=null, $helpLabel=null,  $disabled=null ){
		
	
		?>
			<tr>
				<td>
					<?php echo $title; ?>
				</td>
				
				<td>
					<input value="<?php echo get_option($nameOption); ?>" type="number" step="<?php echo $step; ?>" id="<?php echo $nameOption; ?>" name="<?php echo $nameOption; ?>" title='<?php echo $tooltip; ?>' class='uitip' style="width:<?php echo $width; ?>;" <?php echo $disabled; ?>>
				</td>
				<td>
					<?php 
						if($helpURL!=null) {
							gootracking_showHelp($helpURL, $helpLabel); 
						}
					?>
				</td>			
			</tr>
	
		<?php
			
	}
}

Class gootracking_showInputOption{
	function __construct($nameOption, $title, $tooltip, $width, $helpURL=null, $helpLabel=null, $disabled=null) {
		
	
	?>			
		<tr>
			<td><?php echo $title; ?></td>
			<td>
				<input value="<?php echo get_option($nameOption); ?>" type="text" name="<?php echo $nameOption; ?>" title='<?php echo $tooltip; ?>' class='uitip' style="width:<?php echo $width; ?>;" <?php echo $disabled; ?>> 
			</td>
			<td>
				<?php 
					if($helpURL!=null) {
						gootracking_showHelp($helpURL, $helpLabel); 
					}
				?>
			</td>			
		</tr>
	<?php
	}
}

Class gootracking_showTextAreaOption{
	function __construct($nameOption, $title, $tooltip, $width, $helpURL=null, $helpLabel=null, $disabled=null) {

		?>
			<tr>
				<td>
					<?php echo $title; ?>
				</td>
				<td>
					<textarea rows="4" cols="50" id="<?php echo $nameOption; ?>" name="<?php echo $nameOption; ?>" title='<?php echo $tooltip; ?>' class='uitip' style="width:<?php echo $width; ?>;" <?php echo $disabled; ?>></textarea>
				
				</td>				
				<td>
					<?php 
						if($helpURL!=null) {
							gootracking_showHelp($helpURL, $helpLabel); 
						}
					?>
				</td>
			</tr>
		<?php
	}	
}


Class gootracking_showBoolOption{
	function __construct($nameOption, $title, $tooltip, $width, $helpURL=null, $helpLabel=null, $disabled=null) {

		?>
			<tr>
				<td>
					<?php echo $title; ?>
				</td>
				<td>
					<select id="<?php echo $nameOption; ?>" name="<?php echo $nameOption; ?>" title='<?php echo $tooltip; ?>' class='uitip' style="width:<?php echo $width; ?>;" <?php echo $disabled; ?>>
						<option <?php echo (get_option($nameOption) == "" ? 		"selected"	 : 	""	); ?> value=""></option>
						<option <?php echo (get_option($nameOption) == "true" ? 	"selected"	 : 	""	); ?> value="true">true</option>
						<option <?php echo (get_option($nameOption) == "false" ? 	"selected"	 : 	""	); ?> value="false">false</option>
					</select>				
				</td>				
				<td>
					<?php 
						if($helpURL!=null) {
							gootracking_showHelp($helpURL, $helpLabel); 
						}
					?>
				</td>
			</tr>
		<?php
	}	
}

Class gootracking_showSeparator{
	function __construct($nameOption, $title, $tooltip, $width, $helpURL=null, $helpLabel=null) {

		?>
			<tr style="height:50px;">			
			</tr>		
			<tr>
				<td>
					________
				</td>
				<td>
					<h2><?php echo $title; ?></h2>
				</td>				
				<td>
					<?php 
						if($helpURL!=null) {
							gootracking_showHelp($helpURL, $helpLabel); 
						}
					?>
				</td>
			</tr>
		<?php
	}	
}



Class gootracking_showProductId{
	function __construct($nameOption, $title, $tooltip, $width, $helpURL=null, $helpLabel=null, $disabled=null) {
	
		$urlImgOk = dirname(dirname(plugins_url("/", __FILE__))).'/assets/button_ok.png';
		$urlImgError = dirname(dirname(plugins_url("/", __FILE__))).'/assets/b16x16_cancel.png';		 
			
		?>
		
		
			<tr>
				<td><?php echo $title; ?></td>
				<td>
					<input value="<?php echo get_option($nameOption); ?>" type="number"  name="<?php echo $nameOption; ?>" style="width:<?php echo $width; ?>;" <?php echo $disabled; ?>>
					<?php if(get_option($nameOption) !="")	: ?>
						<?php 
						if(gootracking_isProductCreated($nameOption)) : ?>						
							<a href="<?php echo esc_url( get_permalink(get_option($nameOption)) ); ?>">
								<img src=<?php echo $urlImgOk; ?>>
							</a>
						<?php else: ?>
							<img src=<?php echo $urlImgError; ?>> 			
						<?php endif; ?>
					<?php endif; ?>
				</td>
				<td>
					<?php 
						if($helpURL!=null)
							gootracking_showHelp($helpURL, $helpLabel);
					?>				
				</td>
			</tr>


		<?php
	}	
}